Index: /orxonox/branches/osX/config.h.in
===================================================================
--- /orxonox/branches/osX/config.h.in	(revision 2982)
+++ /orxonox/branches/osX/config.h.in	(revision 2983)
@@ -15,13 +15,4 @@
 /* Define to 1 if you have the `m' library (-lm). */
 #undef HAVE_LIBM
-
-/* Define to 1 if you have the `OSMesa' library (-lOSMesa). */
-#undef HAVE_LIBOSMESA
-
-/* Define to 1 if you have the `X11' library (-lX11). */
-#undef HAVE_LIBX11
-
-/* Define to 1 if you have the `Xt' library (-lXt). */
-#undef HAVE_LIBXT
 
 /* Define to 1 if your system has a GNU libc compatible `malloc' function, and
Index: /orxonox/branches/osX/configure.ac
===================================================================
--- /orxonox/branches/osX/configure.ac	(revision 2982)
+++ /orxonox/branches/osX/configure.ac	(revision 2983)
@@ -2,6 +2,13 @@
 # Process this file with autoconf to produce a configure script.
 
-AC_PREREQ(2.56)
+#AC_PREREQ(2.56)
 AC_INIT(orxonox, 0.1-pre-alpha, orxonox-dev@mail.datacore.ch)
+
+# Detect the canonical host and target build environment.
+AC_CANONICAL_BUILD
+AC_CANONICAL_HOST
+AC_CANONICAL_TARGET
+
+
 AM_INIT_AUTOMAKE
 
@@ -12,8 +19,4 @@
 # Checks for programs.
 AC_PROG_CXX
-AC_PROG_CC
-
-
-
 AC_HEADER_STDC
 
@@ -21,7 +24,8 @@
 
 AC_MSG_CHECKING([for System])
-case `uname` in
+## checking for openGL-environment and other sys-specific parameters
+case "$target" in
 ### WINDOWS ###
-  *MINGW*)
+  *-*-mingw32*)
 echo "mingw-WINDOWS detected"
 
@@ -64,5 +68,4 @@
     fi
 
-
 # checking for mingw32
     AC_CHECK_LIB([mingw32], [main], FOUND_mingw32=yes)
@@ -77,27 +80,28 @@
     AC_CHECK_LIB([sdlmain], [main], FOUND_sdlmain=yes)
     if test "$FOUND_sdlmain" = "yes" ; then
-	LIBS="$LIBS -lsdlmain"
-    else
-	 echo "------------------"
-	 echo "SDL library not found."
-	 echo "please install the SDL library, which can be found at http://www.libsdl.org"
-	 echo "------------------"
-	 exit 1
+       LIBS="$LIBS -lsdlmain"
+    else
+        echo "------------------"
+        echo "SDL library not found."
+        echo "please install the SDL library, which can be found at http://www.libsdl.org"
+        echo "------------------"
+        exit 1
     fi
     AC_CHECK_LIB([sdl], [main], FOUND_sdl=yes)
     if test "$FOUND_sdl" = "yes" ; then
-    	LIBS="$LIBS -lsdl"
-    else
-	 echo "------------------"
-	 echo "SDL library not found."
-	 echo "please install the SDL library, which can be found at http://www.libsdl.org"
-	 echo "------------------"
-	 exit -1
-    fi
+       LIBS="$LIBS -lsdl"
+    else
+        echo "------------------"
+        echo "SDL library not found."
+        echo "please install the SDL library, which can be found at http://www.libsdl.org"
+        echo "------------------"
+        exit -1
+    fi
+
 
     ;;
 
 ### LINUX ###
- *Linux*)
+ *-*-linux*)
 echo "Linux detected"
 
@@ -135,48 +139,41 @@
     fi   
 
+## checking for SDL
+    SDL_VERSION=1.2.7
+    AM_PATH_SDL($SDL_VERSION,
+      :,
+      AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!])
+      )
+    CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
+    LIBS="$LIBS $SDL_LIBS"
+    ;;
+
+### OS X ###
+ *Darwin*)
+echo "OS X detected"
+
+ osX="yes"
+
+# checking gl header
+   AC_CHECK_HEADERS(OpenGL/gl.h ,,
+      [AC_MSG_ERROR([cannot find opengl headers]) ])
+# cheking for GLU-header
+    AC_CHECK_HEADERS(OpenGL/glu.h ,,
+      [AC_MSG_ERROR([cannot find opengl headers]) ])
+
+   LIBS="$LIBS -framework OpenGL"
+
 # checking for SDL-headers
     AC_CHECK_HEADERS(SDL/SDL.h ,,
       [AC_MSG_ERROR([cannot find SDL headers]) ])
 
-    AC_CHECK_LIB([SDL], [main], FOUND_SDL=yes)
-     if test "$FOUND_SDL" = "yes" ; then
-    	LIBS="$LIBS -lSDL"
-     else
-	 echo "------------------"
-	 echo "SDL library not found."
-	 echo "please install the SDL library, which can be found at http://www.libsdl.org"
-	 echo "------------------"
-	 exit -1
-     fi   
-	
-     # FIXME: Replace `main' with a function in `-lOSMesa':
-      AC_CHECK_LIB([OSMesa], [main])
-     # FIXME: Replace `main' with a function in `-lX11':
-      AC_CHECK_LIB([X11], [main])
-     # FIXME: Replace `main' with a function in `-lXt':
-      AC_CHECK_LIB([Xt], [main])
-    ;;
-
-### OS X ###
- *Darwin*)
-echo "OS X detected"
-
- osX="yes"
-
-# checking gl header
-   AC_CHECK_HEADERS(OpenGL/gl.h ,,
-      [AC_MSG_ERROR([cannot find opengl headers]) ])
-# cheking for GLU-header
-    AC_CHECK_HEADERS(OpenGL/glu.h ,,
-      [AC_MSG_ERROR([cannot find opengl headers]) ])
-
-   LIBS="$LIBS -framework OpenGL"
-
-# checking for SDL-headers
-    AC_CHECK_HEADERS(SDL/SDL.h ,,
-      [AC_MSG_ERROR([cannot find SDL headers]) ])
-
- LIBS="$LIBS -L/sw/lib -lSDLmain -lSDL -framework Cocoa"
-
+## checking for SDL
+    SDL_VERSION=1.2.7
+    AM_PATH_SDL($SDL_VERSION,
+      :,
+      AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!])
+      )
+    CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
+    LIBS="$LIBS $SDL_LIBS"
   ;;
 
@@ -188,4 +185,12 @@
 AC_SUBST(MSBITFIELDS)
 
+
+
+
+## checking for GTK
+PKG_CHECK_MODULES(GTK2, gtk+-2.0 >= 2.0.3 gthread-2.0 >= 2.0.3, have_gtk2=yes, have_gtk2=no)
+AC_SUBST(GTK2_LIBS)
+AC_SUBST(GTK2_CFLAGS)
+AM_CONDITIONAL(HAVE_GTK2, test "x$have_gtk2" = xyes)
 
 
@@ -197,10 +202,6 @@
 
 
-
-
 # FIXME: Replace `main' with a function in `-lm':
  AC_CHECK_LIB([m], [main])
-
-LIBS="$LIBS `pkg-config --libs  gtk+-2.0`"
 
 
Index: /orxonox/branches/osX/console/Makefile.am
===================================================================
--- /orxonox/branches/osX/console/Makefile.am	(revision 2982)
+++ /orxonox/branches/osX/console/Makefile.am	(revision 2983)
@@ -1,4 +1,4 @@
-AM_CXXFLAGS=`pkg-config --cflags gtk+-2.0` $(MSBITFIELDS)
-#AM_LDFLAGS=`pkg-config --libs  gtk+-2.0`
+AM_CXXFLAGS=$(GTK2_CFLAGS) $(MSBITFIELDS)
+AM_LDFLAGS=$(GTK2_LIBS)
 
 bin_PROGRAMS=console
Index: /orxonox/branches/osX/gui/Makefile.am
===================================================================
--- /orxonox/branches/osX/gui/Makefile.am	(revision 2982)
+++ /orxonox/branches/osX/gui/Makefile.am	(revision 2983)
@@ -1,4 +1,4 @@
-AM_CXXFLAGS=`pkg-config --cflags gtk+-2.0` $(MSBITFIELDS)
-#AM_LDFLAGS=`pkg-config --libs  gtk+-2.0`
+AM_CXXFLAGS=$(GTK2_CFLAGS) $(MSBITFIELDS)
+AM_LDFLAGS=$(GTK2_LIBS)
 
 bin_PROGRAMS=gui
